IfxConnectionEventListener
Date: 2015-03-03

com.informix.jdbcx

## Class IfxConnectionEventListener

- java.lang.Object
- - com.informix.jdbcx.IfxConnectionEventListener

- All Implemented Interfaces:
    java.util.EventListener, javax.sql.ConnectionEventListener

      public class IfxConnectionEventListener
      extends java.lang.Object
      implements javax.sql.ConnectionEventListener

  The ConnectionEventListener interface is implemented by a connection pooling component. A connection pooling component will usually be provided by a JDBC driver vendor, or another software vendor. A ConnectionEventListener is notified by a JDBC driver when an application is finished using a connection. This event occurs after the application calls close on its representation of the connection. A ConnectionEventListener is also notified when a Connection error occurs due to the fact that the Connection is unfit for future use---the server has crashed, for example. The listener is notified, by the JDBC driver, just before the driver throws an SQLException to the application using the Connection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IfxConnectionEventListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionClosed(javax.sql.ConnectionEvent event)` Invoked when the application calls close() on its representation of the connection.
    `void` | `connectionErrorOccurred(javax.sql.ConnectionEvent event)` Invoked when a fatal connection error occurs, just before an SQLException is thrown to the application.
    `void` | `IfxConnectionEventListener()` Constructor to set Connection Pool Manager to null

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IfxConnectionEventListener

          public IfxConnectionEventListener()

  - ### Method Detail

    - #### IfxConnectionEventListener

          public void IfxConnectionEventListener()

      Constructor to set Connection Pool Manager to null

      Parameters:
        `event` - an event object describing the source of the event

    - #### connectionClosed

          public void connectionClosed(javax.sql.ConnectionEvent event)

      Invoked when the application calls close() on its representation of the connection.

      Specified by:
        `connectionClosed` in interface `javax.sql.ConnectionEventListener`
      Parameters:
        `event` - an event object describing the source of the event

    - #### connectionErrorOccurred

          public void connectionErrorOccurred(javax.sql.ConnectionEvent event)

      Invoked when a fatal connection error occurs, just before an SQLException is thrown to the application.

      Specified by:
        `connectionErrorOccurred` in interface `javax.sql.ConnectionEventListener`
      Parameters:
        `event` - an event object describing the source of the event